Subject: bug#14382: 24.3.50; Strange display bug

From: Stefan Monnier <[email-masked]>
Date: Sat, 11 May 2013 13:41:44 -0400

>> That's the problem that needs fixing.  Can someone check why it doesn't
>> start with "Summary:\nAuthor:\n\n".
> It doesn't seem to have ever done that.
> `log-edit' inserts those lines when its second argument is t.
> `vc-log-edit' passes it nil in the second argument (and has been doing that
> since before rev 87525).

Ah, I see.  We should change it, then to always insert such lines.

> Having the "Author" header present by default seems to encourage the user to
> leave it empty (if they're the author). `vc-git-checkin', for example,
> doesn't look like it's going to handle the empty value.

No, empty header lines get stripped before passing anything to the backend.
What the "Author:" does is encourage people to indicate who's the real
author of the code.

        Stefan